Debian Bug report logs - #697236
ITP: libscalar-does-perl -- Like ref() but useful

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Oleg Gashev <gashev@gmail.com>

Date: Wed, 2 Jan 2013 22:33:02 UTC

Owned by: Oleg Gashev <gashev@gmail.com>

Severity: wishlist

Merged with 702813

Fixed in version libscalar-does-perl/0.102-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#697236; Package libscalar-does-perl. (Wed, 02 Jan 2013 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleg Gashev <gashev@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Wed, 02 Jan 2013 22:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oleg Gashev <gashev@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: libscalar-does-perl -- Like ref() but useful
Date: Wed, 2 Jan 2013 22:29:40 +0000
Package: libscalar-does-perl
Severity: wishlist
Owner: Oleg Gashev <gashev@gmail.com>

* Package name    : libscalar-does-perl
 Version         : 0.011_01
 Upstream Author : Toby Inkster <tobyink@cpan.org>
* URL             : http://search.cpan.org/~tobyink/Scalar-Does/
* License         : Artistic
 Programming Lang: Perl
 Description     : Like ref() but useful

 It has long been noted that Perl would benefit from a does() built-in. A
 check that ref($thing) eq 'ARRAY' doesn't allow you to accept an object that
 uses overloading to provide an array-like interface.



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org, Oleg Gashev <gashev@gmail.com>:
Bug#697236; Package libscalar-does-perl. (Wed, 02 Jan 2013 23:54:03 GMT) Full text and rfc822 format available.

Message #8 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Oleg Gashev <gashev@gmail.com>, 697236@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#697236: ITP: libscalar-does-perl -- Like ref() but useful
Date: Thu, 3 Jan 2013 00:50:51 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 wnpp

Hi,

On 2013-01-02 22:29:40, Oleg Gashev wrote:
> Package: libscalar-does-perl

ITP bugs should be filed against wnpp. Reassigning.

Regards
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libscalar-does-perl' to 'wnpp'. Request was from Sebastian Ramacher <sramacher@debian.org> to submit@bugs.debian.org. (Wed, 02 Jan 2013 23:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oleg Gashev <gashev@gmail.com>:
Bug#697236; Package wnpp. (Wed, 02 Jan 2013 23:54:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 697236: 697241 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 03 Jan 2013 04:21:10 GMT) Full text and rfc822 format available.

Merged 697236 702813 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 13 Mar 2013 08:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oleg Gashev <gashev@gmail.com>:
Bug#697236; Package wnpp. (Wed, 13 Mar 2013 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oleg Gashev <gashev@gmail.com>. (Wed, 13 Mar 2013 11:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 697236@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Mònica Ramírez Arceda <monica@debian.org>, 697236@bugs.debian.org
Subject: Re: Bug#702813: 702813: thereis already another ITP for libscalar-does-perl
Date: Wed, 13 Mar 2013 12:39:01 +0100
[Message part 1 (text/plain, inline)]
Quoting Mònica Ramírez Arceda (2013-03-13 09:46:35)
> This ITP already exists (#697236) and is owned by Oleg Gashev 
> <gashev@gmail.com>. I'm merging these two bugs and setting Oleg Gashev 
> <gashev@gmail.com> as the owner.
> 
> Please, contact Oleg Gashev <gashev@gmail.com> to see if he's still 
> working on this package or if he wants to comaintain this package with 
> you.

Ah, thanks for the catch, Mònica!

Oleg: Sorry for my oversight.

You are of course welcome to take over maintenance of 
libscalar-does-perl, and also more than welcome to co-maintain together 
with me and the Perl team.

I already uploaded my initial work to incoming.debian.org and would 
appreciate if either you were ok letting that through or if not that you 
would provide your own work pretty soon, because I have already changed 
other packages to account for this upcoming change (since 
libscalar-does-perl provides libio-detect-perl).


Kind regards,

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697236; Package wnpp. (Wed, 13 Mar 2013 12:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleg Gashev <gashev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Mar 2013 12:06:06 GMT) Full text and rfc822 format available.

Message #27 received at 697236@bugs.debian.org (full text, mbox):

From: Oleg Gashev <gashev@gmail.com>
To: Jonas Smedegaard <dr@jones.dk>, 697236@bugs.debian.org
Subject: Re: Bug#697236: Bug#702813: 702813: thereis already another ITP for libscalar-does-perl
Date: Wed, 13 Mar 2013 12:02:22 +0000
Hi Jonas,

On 3/13/13, Jonas Smedegaard <dr@jones.dk> wrote:
> Quoting Mònica Ramírez Arceda (2013-03-13 09:46:35)
>> This ITP already exists (#697236) and is owned by Oleg Gashev
>> <gashev@gmail.com>. I'm merging these two bugs and setting Oleg Gashev
>> <gashev@gmail.com> as the owner.
>>
>> Please, contact Oleg Gashev <gashev@gmail.com> to see if he's still
>> working on this package or if he wants to comaintain this package with
>> you.
>
> Ah, thanks for the catch, Mònica!
>
> Oleg: Sorry for my oversight.
>
> You are of course welcome to take over maintenance of
> libscalar-does-perl, and also more than welcome to co-maintain together
> with me and the Perl team.
>
> I already uploaded my initial work to incoming.debian.org and would
> appreciate if either you were ok letting that through or if not that you
> would provide your own work pretty soon, because I have already changed
> other packages to account for this upcoming change (since
> libscalar-does-perl provides libio-detect-perl).

I have git repository for this package:
https://github.com/gashev/debian-libscalar-does-perl
http://mentors.debian.net/package/libscalar-does-perl

What I need to doing?

Thank you.
-- 
Best regards, Oleg Gashev.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oleg Gashev <gashev@gmail.com>:
Bug#697236; Package wnpp. (Wed, 13 Mar 2013 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oleg Gashev <gashev@gmail.com>. (Wed, 13 Mar 2013 15:03:05 GMT) Full text and rfc822 format available.

Message #32 received at 697236@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Oleg Gashev <gashev@gmail.com>, 697236@bugs.debian.org
Subject: Re: Bug#697236: Bug#702813: 702813: thereis already another ITP for libscalar-does-perl
Date: Wed, 13 Mar 2013 16:00:08 +0100
[Message part 1 (text/plain, inline)]
Quoting Oleg Gashev (2013-03-13 13:02:22)
> On 3/13/13, Jonas Smedegaard <dr@jones.dk> wrote:
> > Quoting Mònica Ramírez Arceda (2013-03-13 09:46:35)
> >> This ITP already exists (#697236) and is owned by Oleg Gashev 
> >> <gashev@gmail.com>. I'm merging these two bugs and setting Oleg 
> >> Gashev <gashev@gmail.com> as the owner.
> >>
> >> Please, contact Oleg Gashev <gashev@gmail.com> to see if he's still 
> >> working on this package or if he wants to comaintain this package 
> >> with you.
> >
> > Ah, thanks for the catch, Mònica!
> >
> > Oleg: Sorry for my oversight.
> >
> > You are of course welcome to take over maintenance of 
> > libscalar-does-perl, and also more than welcome to co-maintain 
> > together with me and the Perl team.
> >
> > I already uploaded my initial work to incoming.debian.org and would 
> > appreciate if either you were ok letting that through or if not that 
> > you would provide your own work pretty soon, because I have already 
> > changed other packages to account for this upcoming change (since 
> > libscalar-does-perl provides libio-detect-perl).
> 
> I have git repository for this package: 
> https://github.com/gashev/debian-libscalar-does-perl 
> http://mentors.debian.net/package/libscalar-does-perl
> 
> What I need to doing?

What you need to do depends on how you want to proceed.

As I see it (I might have missed some options) you should pick one of 
these:

 a) You maintain it

 b) You join Debian Perl team and help maintain it in collaboration

 c) You leeave maintenance to me and the Perl team

If you go for a) then please discuss with your sponsor¹ how to proceed.

If you go for b) _and_ dislike how I initiated the package, then please 
discuss with others in the Perl team how to proceed.

Hope that is of some use.

Kind regards,

 - Jonas


¹ I don't sponsor individually maintained packages, as a general 
principle (nothing personal!).

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Message #33 received at 702813-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 702813-close@bugs.debian.org
Subject: Bug#702813: fixed in libscalar-does-perl 0.102-1
Date: Mon, 01 Apr 2013 13:00:08 +0000
Source: libscalar-does-perl
Source-Version: 0.102-1

We believe that the bug you reported is fixed in the latest version of
libscalar-does-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702813@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libscalar-does-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 11 Mar 2013 22:58:27 +0100
Source: libscalar-does-perl
Binary: libscalar-does-perl
Architecture: source all
Version: 0.102-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libscalar-does-perl - like ref() but useful
Closes: 702813
Changes: 
 libscalar-does-perl (0.102-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#702813.
Checksums-Sha1: 
 dd34f50bba89f6dde86a1c6d335281604ab6d9fa 2307 libscalar-does-perl_0.102-1.dsc
 fd8946303c2d6c4b5d23cddd6582985b7affe4d9 65971 libscalar-does-perl_0.102.orig.tar.gz
 2b6971d8a219060f0daabe1622da73c6d912977f 4248 libscalar-does-perl_0.102-1.debian.tar.gz
 b3036073e7361a36fe820c44a181b168a7fcb9bd 33200 libscalar-does-perl_0.102-1_all.deb
Checksums-Sha256: 
 d8175e6b5ca976c2ea643bde386839531187b9cb60f20f91d10d54a4a0479b7f 2307 libscalar-does-perl_0.102-1.dsc
 6baa2b3854bb82d949eac29eec69753a812df8299a51c6cb988eb64cc33bae52 65971 libscalar-does-perl_0.102.orig.tar.gz
 cdb5574984b34a6b5d156e737e7e6763d84cd653ed5fddd288002f4e5b7ebc2e 4248 libscalar-does-perl_0.102-1.debian.tar.gz
 39b3397e69823383aa08e5009c2df617c746b722bc2fbfe22888a4f8dde65bf1 33200 libscalar-does-perl_0.102-1_all.deb
Files: 
 d291e56b0eca7ffc13b9b2ba2d076dc1 2307 perl optional libscalar-does-perl_0.102-1.dsc
 0609731fc3ed5033c31ab77f26358855 65971 perl optional libscalar-does-perl_0.102.orig.tar.gz
 85b12c824ab801c4dbc68982afb4d1ab 4248 perl optional libscalar-does-perl_0.102-1.debian.tar.gz
 26de0b26c8d4337f022e5b70dae8fc45 33200 perl optional libscalar-does-perl_0.102-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRPlPyAAoJECx8MUbBoAEhKbEP/0H3tMLHlJFqXn1y7JLAnTul
EOH+ls7dAW69NkzxoFqXsTl4ejnw+Hfc08AKXxd00yr0oEdD9Spx60GFOR984cmk
HeuSM0llI7XrJ+65IQo1806GhCZloL7tMQFf4u0N/h0Ym8CHCUtoWpsMPgVsrgPo
xiEWFt65pdzL8WYzko51hNWpWwqZgnhYhcGJB+O8Jqj0li4ZEoZk2MHAlgGo+qao
EXMocF8J5IlHMSQhz77FcrkZ+v32QDnx6VuckpT9lyFM/B6cffJGoCxQzNkB68+8
QUGqBvywj3XDLonlpWswl3Kl8XHS2rySrYFb1o1RRhzji7qXBoZ7QTCt+fDxH6ft
Fqx7rSoO8Jh/MEjax8BQMhpwQk3wLXU7nwkajC6ThDDKdhEPfjytmTds6F8kQ4sm
VsqRGalnTrEWD6uaCmSB2Ul2PVrNWnWK5b4EikOuGT/yMzKLOHyV63JEzBklwceh
QXqoA4MnhTwbG+wsl90nSyjeqMMY7ARAj7TsGlJRdwvVA1Do28/i9rFOi8WmmqVs
MBCndsh6tOvGc+YBBv/IQb5RC8udBZmNz5iiMIUe40Z3qDL8QHVCrQiMcEmyb0jB
8P0dyY4RKPzEgDbmD3LAHxAy1nqPLUSSH3Kql1sN/2Pfga4fVKlBXxS+k6jcXNaQ
AD/RA81JgR8qiBTcIrV8
=ViC5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Apr 2013 07:27:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:08:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.